// -*-c++-*-

/*!
  \file body_press.h
  \brief atack to ball handling player
*/

/*
 *Copyright:

 Copyright (C) Hiroki SHIMORA

 This code is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This code is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this code; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "body_press.h"

#include <rcsc/player/player_agent.h>
#include <rcsc/player/abstract_player_object.h>
#include <rcsc/player/intercept_table.h>
#include <rcsc/common/server_param.h>
#if 0
#include <rcsc/action/body_intercept.h>
#else
#include "body_intercept_devel.h"
#endif
#include "body_go_to_point_devel.h"

/*-------------------------------------------------------------------*/
/*!

*/
Body_Press::Body_Press()
{
}

/*-------------------------------------------------------------------*/
/*!

*/
bool
Body_Press::execute( rcsc::PlayerAgent * agent )
{
    const rcsc::WorldModel & wm = agent->world();
    const rcsc::ServerParam & param = rcsc::ServerParam::i();
    const rcsc::InterceptTable * interceptTable = wm.interceptTable();

    const rcsc::AbstractPlayerObject * holder;
    holder = interceptTable->fastestOpponent();

    if ( ! holder )
    {
        return rcsc::Body_Intercept().execute( agent );
    }

    agent->debugClient().addLine( wm.self().pos(), holder->pos() );

    return Body_GoToPoint_Devel( holder->pos() + rcsc::Vector2D( -10.0, 0.0 ),
                                 10.0,
                                 param.maxPower() ).execute( agent )
        || Body_GoToPoint_Devel( holder->pos() + rcsc::Vector2D( -5.0, 0.0 ),
                                 5.0,
                                 param.maxPower() ).execute( agent )
        || Body_GoToPoint_Devel( holder->pos() + rcsc::Vector2D( -3.0, 0.0 ),
                                 3.0,
                                 param.maxPower() ).execute( agent )
        || Body_GoToPoint_Devel( holder->pos() + rcsc::Vector2D( -0.5, 0.0 ),
                                 0.5,
                                 param.maxPower() ).execute( agent );
}
