// -*-c++-*-

/*!
  \file neck_turn_to_ball_only.h
  \brief turn neck with attention to ball only
*/

/*
 *Copyright:

 Copyright (C) Hiroki SHIMORA

 This code is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This code is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this code; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef RCSC_EXT_ACTION_NECK_TURN_TO_BALL_ONLY_H
#define RCSC_EXT_ACTION_NECK_TURN_TO_BALL_ONLY_H

#include <rcsc/player/soccer_action.h>

namespace rcsc_ext {

/*!
  \class Neck_TurnToBallOnly
  \brief turn neck with attention to ball only
*/
class Neck_TurnToBallOnly
    : public rcsc::NeckAction, public rcsc::ViewAction {

public:
    /*!
      \brief constructor
     */
    Neck_TurnToBallOnly();

    /*!
      \brief do turn neck
      \param agent agent pointer to the agent itself
      \return always true
     */
    bool execute( rcsc::PlayerAgent * agent );

    /*!
      \brief create cloned object
      \return create pointer to the cloned object
    */
    Neck_TurnToBallOnly * clone() const;
};

}

#endif
